On 09/20/2016 11:14 PM, Daniel Kasmeroglu wrote:
First of all: thanks for the feedback. I promise that I will document my steps for an initial setup but I can't do that within the Eclipse Wiki as it's simply awful.
Well, it's not more awful than Wikipedia ;)
More seriously, if you have some documentation, it's really the best place to put it as it's where the "official" documentation is supposed to be and where it's supposed to be maintained. Despite every issue you can have with the wiki engine, it's really what matters.
What's confusing to me is the fact that the pom refers to 3.6.0-SNAPSHOT even though I'm using the tag R3_7_0 for my branch.
It's https://bugs.eclipse.org/bugs/show_bug.cgi?id=500016 . WTP isn't really a state-of-art project when it comes to versioning parent pom at the moment.
Why is that and where can I get access to the wtp-parent? I couldn't find a project named 'wtp-parent' within the Gerrit listing.
It's in the webtools.releng.aggregator repository: http://git.eclipse.org/c/webtools/webtools.releng.aggregator.git/tree/wtp-parent/pom.xml


2. The plugins are obviously maven based so I'm wondering why the eclipse project files such as .project/.classpath etc are versioned? Importing them into my workspace causes a lot of them to be changed which is kind of problematic.
The build is Maven based, and you could you Maven (with the Tycho connector) in your IDE, but the usual way of developing them is to ignore the pom.xml in IDE and import them as existing Eclipse projects (not Maven based).

3. Using 4.6-jee as the target platform and after importing all webtools.javaee plugins I still got some errors. For instance: The R3_7_0 version of org.eclipse.wst.web.ui refers to org.eclipse.wst.jsdt.ui [1.0.0, 2.0.0) which isn't present. Are there any scripts/magic that need to be executed to make this project ad-hoc compilable?
No script should be required.
The R3_7_0 is the previous version, which was shipped with Eclipse 4.5 (Mars). Either you want to work with this R3_7_0 and you should use a 4.5 JEE target-platform, or you work with R3_8_0 (or R3_8_maintenance branch - or even master) and the 4.6 JEE target-platform is good.

HTH
--
Mickael Istria
Eclipse developer for Red Hat Developers <http://developers.redhat.com>
My blog <http://mickaelistria.wordpress.com> - My Tweets <http://twitter.com/mickaelistria>
_______________________________________________
wtp-dev mailing list
wtp-dev@eclipse.org
To change your delivery options, retrieve your password, or unsubscribe from 
this list, visit
https://dev.eclipse.org/mailman/listinfo/wtp-dev

Reply via email to